/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator.keycloak.realm;

import java.util.List;

import de.ozgcloud.operator.keycloak.realm.OzgCloudKeycloakRealmSpec.RealmRole;

public class OzgCloudKeycloakRealmSpecTestFactory {

	public final static String DISPLAY_NAME = "TestDisplayName";
	public final static boolean KEEP_AFTER_DELETE = false;

	public static final String ROLE_NAME_1 = "RoleName1";
	public static final RealmRole ROLE1 = RealmRole.builder().name(ROLE_NAME_1).build();
	public static final String ROLE_NAME_2 = "RoleName2";
	public static final RealmRole ROLE2 = RealmRole.builder().name(ROLE_NAME_2).build();
	public static final List<RealmRole> ROLES = List.of(ROLE1, ROLE2);

	public static OzgCloudKeycloakRealmSpec create() {
		return createBuilder().build();
	}

	public static OzgCloudKeycloakRealmSpec.OzgCloudKeycloakRealmSpecBuilder createBuilder() {
		return OzgCloudKeycloakRealmSpec.builder()
				.keepAfterDelete(KEEP_AFTER_DELETE)
				.displayName(DISPLAY_NAME)
				.smtpServer(KeycloakRealmSmtpServerTestFactory.create())
				.realmRoles(ROLES);
	}
}
